Skip to main content
GET
/
matters
/
{matterId}
/
documents
/
folders
/
{folderId}
/
path
Get folder path hierarchy
curl --request GET \
  --url https://api.smokeball.com/matters/{matterId}/documents/folders/{folderId}/path \
  --header 'Authorization: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "href": "<string>",
  "relation": "<string>",
  "method": "GET",
  "self": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "value": [
    {
      "id": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
      "name": "Property Documents",
      "parentId": "750eb5c5-ac0b-7d11-4997-e0ce9d8896c8",
      "depth": 2
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

matterId
string
required
folderId
string
required

Response

When request is successful. Returns the folder path hierarchy.

id
string | null
href
string | null
relation
string | null
method
string | null
default:GET
self
object
value
object[] | null